techical issues

tried to upload the android iNat app to my phone today - not supported :(

Posted by hkmoths hkmoths, March 01, 2012 06:38 AM

Comments

What phone and what version of Android? It should run on any phone running Android 2.3.7 and above.

Posted by kueda almost 11 years ago (Flag)

Thx for checking. Seems my phone runs on too old a version of the Android OS. Can't get LG to upload a newer one...

Posted by hkmoths almost 11 years ago (Flag)

Add a Comment

Sign In or Sign Up to add comments